/**
 * Copyright (c) 2024 LOBA
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 * SPDX-License-Identifier: MIT
 * 
 * Contributors:
 *     [name] - [contribution]
 */

.badge {
    padding: rem(0) rem(5);
    min-height: rem(22);
    line-height: rem(22);
    border-radius: rem(22);
    background-color: var(--green);
    font-size: rem(12);
    color: var(--black);
}

.type-dataset,
.type-catalog,
.type-dataproduct,
.type-artifact,
.type-term,
.type-domains,
.type-quality,
.type-yellow,
.type-glossary {

    margin-left: 10px;
    padding: rem(4) rem(8);
    font-size: rem(13);
    font-weight: 600;
    line-height: rem(16);
    border-radius: rem(40);
    display: inline-block;
    vertical-align: middle;

    &.type-dataset, &.type-catalog {
        color: var(--color-hover-icon);
        border: 1px solid var(--color-hover-icon);
    }

    &.type-dataproduct {
        color: var(--color-data-product);
        border: 1px solid var(--color-data-product);
    }

    &.type-artifact {
        color: var(--color-artifact);
        border: 1px solid var(--color-artifact);
    }

    &.type-term {
        color: var(--color-term);
        border: 1px solid var(--color-term);
    }

    &.type-domains {
        color: var(--color-domain);
        border: 1px solid var(--color-domain);
    }

    &.type-quality {
        color: var(--color-quality);
        border: 1px solid var(--color-quality);
    }

    &.type-yellow {
        color: #FFDF27;
        border: 1px solid #FFDF27;
    }

    &.type-glossary {
        color: var(--color-glossary);
        border: 1px solid var(--color-glossary);
    }

}